"""
parameters.py
    functions to store and retrieve command line arguments and config file parameters

author: @jrosner
"""

from ConfigParser import SafeConfigParser

### global variables ###
configReader = SafeConfigParser()
project_name = ''
project_path = ''
reference = ''
reference_version = ''
infile = ''
num_samples = 1
platform = ''
program_path = ''

def InitConfigReader(configFile):
    """init the config file"""
    configReader.readfp(open(configFile))


def GetConfigReader():
    """return the configreader"""
    return configReader


def SetProgramPath(prog_path):
    global program_path
    program_path = prog_path


def GetProgramPath():
    return program_path


def SetPlatform(pltfrm):
    global platform
    platform = pltfrm


def GetPlatform():
    return platform


def GetQsubStatement():
    return configReader.get('CLUSTER', 'qsub_statement')


def SetProjectName(pname):
    global project_name
    project_name = pname


def GetProjectName():
    return project_name


def SetProjectPath(ppath):
    global project_path
    project_path = ppath


def GetProjectPath():
    return project_path


def SetInfile(arg_file):
    global infile
    infile = arg_file


def GetInfile():
    return infile


def SetReference(build):
    global reference
    reference = configReader.get('REFERENCE', 'reference_path')


def GetReference():
    return reference


def SetReferenceVersion(ref_ver):
    global reference_version
    reference_version = ref_ver


def GetReferenceVersion():
    return reference_version


def GetR():
    return configReader.get('SOFTWARE', 'R')


def GetSamtools():
    return configReader.get('SOFTWARE', 'samtools')


def GetBcftools():
    return configReader.get('SOFTWARE', 'bcftools')
