#####################################################################
# 
#   Author: Alan Le
#   Last Updated: Oct 11, 2012
#   Takes in samtools output from stdin and processes the positions
#
#####################################################################

import re, sys

regex_newline = re.compile(r'[\r\n]')
regex_tab = re.compile(r'[\t]')
output = sys.argv[1]

output_writer = open (output, 'w')

for line in sys.stdin:
   # Filter out indel calls
   if not 'INDEL' in line: 
      columns = re.split(regex_tab, line)

      # Check to see if we have the appropiate number of columns
      if len(columns) == 10:
         # Checks the filter column to see if it passes the filter check
         position_type = columns[9].split(':')
         # Checks if this position is heterozygous or not
         if cmp (position_type[0], '0/1') == 0:
            # Stores the position if it is
            output_writer.write(line)

output_writer.close()
