import sys
import jointpysam

norm_hetpsns = sys.argv[1]
bam_file = sys.argv[2]
ref_file = sys.argv[3]
quality = int(sys.argv[4])
map_quality = int(sys.argv[5])
positions = {}

#  add (position,depth) from the normal hetpositions input file to a dictionary of lists
#    indexed by chromosome
for line in open(norm_hetpsns):
    chrom = line.split()[0] 
    position = int(line.strip().split()[1])
    depth = line.split()[7].split(';')[0].replace('DP=', '')
    position_data = position, depth
    if chrom not in positions:
        positions[chrom] = []
    positions[chrom].append(position_data)

sample = jointpysam.bam.BamFile(bam_file)
reference = jointpysam.fasta.FastaFile(ref_file)

for chrom in positions:
    for position_data in positions[chrom]:
        position = int(position_data[0])
        result = str(chrom) + "\t" + str(position)
        ref_base = chr(reference.get_base(chrom, position)).upper()
        #print base,
        _p = sample.get_pileup_iterator(chrom,position,position + 1)
        pileup = None
        for p in _p:
            if p.position == position:
                pileup = p

        if pileup == None:
            result += "\t" + ref_base + "\t0\tX\t0"
            print result
            continue

        #alt_count = 0
        #alt_base = '.'
        ref_count = 0
        depth = 0
        #ref_base = base
        bases = filter((lambda base: base['base_qual'] >= quality and base['map_qual'] >= map_quality), pileup.base_info)
        for base in bases:
            depth += 1
            if base["base"] == ref_base:
                ref_count += 1

        alt_count = depth - ref_count

        result += "\t" + ref_base + "\t" + str(ref_count) + "\tX\t" + str(alt_count) + '\t' + position_data[1]
        print result
