'''
Created on 2012-01-17

@author: Andrew Roth
'''
from libc.stdlib cimport free
from libc.string cimport strdup

from jointpysam.samtools_clib cimport fai_load, fai_destroy, faidx_fetch_seq, faidx_t

cdef extern from "ctype.h":
    int toupper(int c)

cdef class FastaFile:
    cdef char * _file_name
    cdef faidx_t * _fasta_file
    cdef int get_slice(self, char * reference, char * _s, int start, int end)
    cdef int _polymer(self, char * reference, int position, int _n)
    cdef faidx_t * get_file_pointer(self)
    cdef int compare_slice(self, int n, char * first, char * second)
    cdef char get_reference_base(self, char * reference, int position)
    cdef char * _fetch(self, char * reference, int start, int end, int * length)
    cdef int count_run_forward(self, char * contig, int position, int count, int n)
    cdef int count_run_backward(self, char * contig, int position, int count, int n)
